%ifarch %{arm}
%define build_docs     0
%else
%define build_docs     0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1

%define qtversion      %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtcharts    %mklibname qt5charts %{qtmajor}
%define libqtcharts_d  %mklibname qt5charts -d

%define qttarballdir   qtcharts-everywhere-src-%{qtversion}

Name:           qtcharts5
Version:        5.11.2
Release:        %mkrel 1
Summary:        Qt%{qtmajor} Charts component
License:        GPLv3
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

%description
Qt%{qtmajor} Charts module provides a set of easy to use chart components.
It uses the Qt Graphics View Framework, therefore charts can be easily
integrated to modern user interfaces. Qt Charts can be used as QWidgets,
QGraphicsWidget, or QML types. Users can easily create impressive graphs
by selecting one of the charts themes.

%files
%{_qt5_qml}/QtCharts/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtCharts%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtCharts%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtcharts.qch
%{_qt5_docdir}/qtcharts/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtcharts}
Summary:        Qt%{qtmajor} Charts Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtcharts}
Qt%{qtmajor} Charts Component Library.

%files -n %{libqtcharts}
%{_qt5_libdir}/libQt5Charts.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtcharts_d}
Summary:        Devel files needed to build apps based on QtCharts
Group:          Development/KDE and Qt
Requires:       %{libqtcharts} = %{version}
Provides:       libqtcharts5-devel = %{version}
Provides:       libqt5charts-devel = %{version}
Provides:       qtcharts5-devel = %{version}
Provides:       qt5charts-devel = %{version}

%description -n %{libqtcharts_d}
Devel files needed to build apps based on Qt Charts.

%files -n %{libqtcharts_d}
%{_qt5_includedir}/QtCharts/
%{_qt5_libdir}/libQt5Charts.so
%{_qt5_libdir}/pkgconfig/Qt5Charts.pc
%{_qt5_libdir}/cmake/Qt5Charts/
%{_qt5_libdir}/*.prl
%{_qt5_prefix}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/charts/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtcharts-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Oct 12 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
